@import "~/variables";

.cart_button {
  background-color: $base_color;
  border-radius: 5px;
  cursor: pointer;
  display: flex;
  align-items: center;
  height: 35px;
  min-height: 35px;
  width: 100%;
  padding: 0;
  border: 2px solid white;
  transition: 0.2s;
  cursor: pointer;

  &:hover {
    box-shadow: 0px 1px 4px 2px lightgrey;
    transition: 0.2s;
  }

  .cart_icon_holder {
    background-color: $accent_color;
    border-radius: 5px;
    border-top-right-radius: 20% 30%!important;
    border-bottom-right-radius: 20% 80%!important;
    color: white;
    left: 0;
    margin: 0;
    height: 100%;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-right: 3px;
    border-right: 2px solid white;
  }

  .cart_text_holder {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
  }

  .cart_button_text {
    color: white;
  }
}